Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.rdbmdl
Interface RdbmdlFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface RdbmdlFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `RdbmdlPackage`

Field Summary
`static RdbmdlFactory` | `eINSTANCE` The singleton instance of the factory

Method Summary
`Element` | `createElement()` Returns a new object of class 'Element'
`Model` | `createModel()` Returns a new object of class 'Model'
`Schema` | `createSchema()` Returns a new object of class 'Schema'
`Table` | `createTable()` Returns a new object of class 'Table'
`TableColumn` | `createTableColumn()` Returns a new object of class 'Table Column'
`RdbmdlPackage` | `getRdbmdlPackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final RdbmdlFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createElement

    Element createElement()

  Returns a new object of class 'Element'.

  Returns:
    a new object of class 'Element'.

### createModel

    Model createModel()

  Returns a new object of class 'Model'.

  Returns:
    a new object of class 'Model'.

### createSchema

    Schema createSchema()

  Returns a new object of class 'Schema'.

  Returns:
    a new object of class 'Schema'.

### createTable

    Table createTable()

  Returns a new object of class 'Table'.

  Returns:
    a new object of class 'Table'.

### createTableColumn

    TableColumn createTableColumn()

  Returns a new object of class 'Table Column'.

  Returns:
    a new object of class 'Table Column'.

### getRdbmdlPackage

    RdbmdlPackage getRdbmdlPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD